<!DOCTYPE html>
<html xmlns:v-bind="http://www.w3.org/1999/xhtml" xmlns:v-on="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Веб морда</title>
    <link rel='stylesheet prefetch' href='/css/bootstrap.css'>
    <link rel="stylesheet" href="/css/style.css">
</head>

<body>

<div class="container">
    <main id="app">
        <router-view></router-view>
    </main>
</div>

<template id="file-list">
    <div>
        <div class="actions">
            <router-link class="btn btn-default" v-bind:to="{path: '/add-file'}">
                <span class="glyphicon glyphicon-plus"></span>
                Add file
            </router-link>
        </div>
        <div class="filters row">
            <div class="form-group col-sm-3">
                <label for="search-element">file name</label>
                <input v-model="searchKey" class="form-control" id="search-element" requred/>
            </div>
        </div>
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>

                <th class="col-sm-2">Actions</th>
            </tr>
            </thead>
            <tbody>
            <tr v-for="file in filteredfiles" @click.ctrl="deletefile" v-bind:file="file">
                <td>
                    <router-link v-bind:to="{name: 'file', params: {file_id: file.id}}">{{ file.name }}</router-link>
                </td>

                <td>
                    <!--<router-link class="btn btn-danger btn-xs"-->
                                 <!--v-bind:to="{name: 'file-delete', params: {file_id: file.id}}">Delete-->
                    <!--</router-link>-->
                    <button class="btn btn-danger btn-xs" v-on:click="deletefile" v-bind:file_id=file.id></button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</template>

<template id="add-file">
    <div>
        <h2>Add new file</h2>
        <form ref='uploadForm'
              id='uploadForm'
              action='/uploadAll'
              method='post'
              encType="multipart/form-data">
            <input type="file" name="sampleFile" class="file" id="input-b1"/>
            <input type='submit' value='Upload' class="btn btn-default"/>
            <router-link class="btn btn-default" v-bind:to="'/'">Cancel</router-link>
        </form>
    </div>
</template>

<template id="file">
    <div>
        <h2>{{ file.name }}</h2>
        <b>Description: </b>
        <div>{{ file.description }}</div>
        <b>Price:</b>
        <div>{{ file.price }}<span class="glyphicon glyphicon-euro"></span></div>
        <br/>
        <span class="glyphicon glyphicon-arrow-left" aria-hidden="true"></span>
        <router-link v-bind:to="'/'">Back to file list</router-link>
    </div>
</template>

<template id="file-edit">
    <div>
        <h2>Edit file</h2>
        <form v-on:submit="updatefile">
            <div class="form-group">
                <label for="edit-name">Name</label>
                <input class="form-control" id="edit-name" v-model="file.name" required/>
            </div>

            <table class="table">
                <thead>
                <tr>
                    <th>Name</th>

                    <th class="col-sm-2">Actions</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="file in foundfiles">
                    <td>
                        <label>
                            {{ file.name }}
                        </label>
                    </td>

                    <td>
                        <router-link class="btn btn-danger btn-xs"
                                     v-bind:to="{name: 'file-delete', params: {file_id: file.id}}">Delete
                        </router-link>
                    </td>
                </tr>
                </tbody>
            </table>

            <button type="submit" class="btn btn-primary">Save</button>
            <router-link class="btn btn-default" v-bind:to="'/'">Cancel</router-link>
        </form>
    </div>
</template>

<template id="file-delete">
    <div>
        <h2>Delete file {{ file.name }}</h2>
        <form v-on:submit="deletefile">
            <p>The action cannot be undone.</p>
            <button type="submit" class="btn btn-danger">Delete</button>
            <router-link class="btn btn-default" v-bind:to="'/'">Cancel</router-link>
        </form>
    </div>
</template>


<script src="/socket.io/socket.io.js"></script>
<script src="/js/vue.js"></script>
<script src='/js/vue-router.js'></script>
<script src="/js/main.js"></script>
<script src="/js/vue-my.js"></script>
<script>socket.emit('getlistfiles');</script>
</body>
</html>
